// JavaScript Document

/*

Common Kaosweaver functions
Copyright 2007

UTILITY:
displayHelp(eName,eNum)
baseRemoveScript(a,b)
realescape(obj)
singleImageSize(tImage)
getImage(img)
*/

// eName = extension's MXI file name
// eNum = database's ID number for extension
function displayHelp(eName,eNum) {
	var con_path=dw.getConfigurationPath();
	var xmlDoc = con_path + "/Extensions/"+eName;
	var verNum="1.0.0"
	if (DWfile.exists(xmlDoc)){
		var xmlDOM = dw.getDocumentDOM(xmlDoc);
		var pSet = xmlDOM.getElementsByTagName('macromedia-extension')
		verNum=pSet[0].getAttribute('version')
	}
	dreamweaver.browseDocument('http://www.kaosweaver.com/ExtensionsHelp/kaoshelp.php?id='+eNum+'&verNum='+verNum);
}

// a = for removal type (1=silent, 2=alert)
// b = name of the script being removed
// to get the outside script tag, the script must have the <!-- and //--!> around it.
function baseRemoveScript(a,b) {
	if (a==2) {
		if (!confirm("Click OK to delete or Cancel to keep.\n"))
			return false;
	}
	var theDOM = dw.getDocumentDOM();
	var theHead= theDOM.getElementsByTagName("HEAD");
	var bObj=theHead[0].innerHTML;
	pos1=bObj.indexOf("// "+b);
	if (pos1==-1) return;
	pos0=bObj.indexOf("//--!>",pos1);
	pos2=(pos0*1)+6;
	bObj=bObj.substring(0,pos1)+bObj.substring(pos2)
	theHead[0].innerHTML=bObj
	var dom = dreamweaver.getDocumentDOM("document");
	var allScripts = dom.getElementsByTagName("SCRIPT"); 
	for (var i=0;i<allScripts.length;i++){
    	if (scriptIsEmpty(allScripts[i].innerHTML)) {  // Remove the entire script if it is empty.
			if (!allScripts[i].src)
			    allScripts[i].outerHTML = '';
	    }  
	}
	return true
}

// obj = string to be really escaped.
// returns the escaped string.
function realescape(obj) {
  obj=obj.replace(/\!/g,"%21")
  obj=obj.replace(/\,/g,"%2C")
  obj=obj.replace(/\#/g,"%23")
  obj=obj.replace(/\$/g,"%24")
  obj=obj.replace(/\&/g,"%26")
  obj=obj.replace(/\(/g,"%28")
  obj=obj.replace(/\)/g,"%29")
  obj=obj.replace(/\?/g,"%3F")
  obj=obj.replace(/\=/g,"%3D")
  obj=obj.replace(/\;/g,"%3B")
  obj=obj.replace(/\:/g,"%3A")
  obj=obj.replace(/\|/g,"%7C")
  obj=obj.replace(/\'/g,"%27")
return obj;
}
//tImage = file path for the image to get the size of it.
//returns Array of the image sizes (0=width,1=height) or FALSE for failure.
function singleImageSize(tImage) {
	dwapp=dreamweaver.appVersion
	if (parseFloat(dwapp)<4.01) {
		return;
	}	
	var currentDoc = dw.getDocumentPath('document')
	var siteRoot = dw.getSiteRoot();
	fullURL = dw.relativeToAbsoluteURL(currentDoc,siteRoot,tImage);
	var dimensionArray = dw.getNaturalSize(fullURL);
	if (dimensionArray)
		return dimensionArray
	else {
		alert("The image:\n - "+fullURL+"\ndoes not return proper image dimensions.\n\nPlease exit and check the image and help files");
		return false;
	}
}

//img = image from a dreamweaver.browseForFileURL command
//returns the image URL or FALSE for failure.
function getImage(img) {
	if (img=="") return false;
	if (img.indexOf("file:///")!=-1) {
		alert("The image:\n - "+img+"\nIs not in the local site.\n\nPlease select images in the local site only.")
		return false;
	}
	return img;
}

// fObj = file object URL
// returns the file name without the path to the name.
function getNiceName(fObj) {
	return fObj.substring(fObj.lastIndexOf("/")+1)
}

// MACROMEDIA's script (err... adobe's now...)
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}